import request from '@/utils/request'

export function listStore(query) {
  return request({
    url: '/store-info/page',
    method: 'get',
    params: query
  })
}

export function storeList(query) {
  return request({
    url: '/store-info/list',
    method: 'get',
    params: query
  })
}

export function createStore(data) {
  return request({
    url: '/store-info/add',
    method: 'post',
    data
  })
}

export function readStore(data) {
  return request({
    url: '/store-info/info',
    method: 'get',
    data
  })
}

export function updateStore(data) {
  return request({
    url: '/store-info/edit',
    method: 'post',
    data
  })
}

export function deleteStore(query) {
  return request({
    url: '/store-info/remove',
    method: 'post',
    params: query
  })
}
